//---------------------------------------------------------------------------
#ifndef IvoryPaletteH
#define IvoryPaletteH

#include "IvoryDraw.h"
//---------------------------------------------------------------------------
class TIvoryDraw;

class IVORY_package TIvoryPalette : public TComponent
{
	friend TIvoryDraw;
private:
	LPDIRECTDRAWPALETTE FDirectDrawPalette;
   String FFileName;

   Classes::TNotifyEvent FOnChange;
protected:
	void __fastcall Release();
   void __fastcall SetFileName(const String name);
   TColor __fastcall GetColor(int n) const;
public:
   void __fastcall CreateFromBitmap();
	__fastcall TIvoryPalette(Classes::TComponent* AOwner);
   __fastcall ~TIvoryPalette();

   __property LPDIRECTDRAWPALETTE DirectDrawPalette = { read=FDirectDrawPalette };
   __property TColor Color[int n] = { read=GetColor };
__published:
   __property String FileName = { read=FFileName, write=SetFileName };

   __property Classes::TNotifyEvent OnChange = { read=FOnChange, write=FOnChange, default=NULL };
};
//---------------------------------------------------------------------------
#endif
